Summary:	Tools for the XFS filesystem
Summary(pl.UTF-8):	Narzędzia do systemu plikowego XFS
Name:		xfsdump
Version:	3.1.9
Release:	1
License:	GPL v2
Group:		Applications/Archiving
Source0:	https://www.kernel.org/pub/linux/utils/fs/xfs/xfsdump/%{name}-%{version}.tar.xz
# Source0-md5:	086f7582875b14c17522867ffe3e202b
Patch0:		%{name}-miscfix.patch
Patch1:		%{name}-pl.po-update.patch
URL:		http://www.xfs.org/
BuildRequires:	attr-devel >= 2.4.15
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	gettext-tools
BuildRequires:	libuuid-devel
BuildRequires:	ncurses-devel
BuildRequires:	tar >= 1:1.22
BuildRequires:	xfsprogs-devel >= 2.6.9
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin
%define		_bindir		/usr/sbin

%description
The xfsdump package contains xfsdump, xfsrestore and a number of other
utilities for administering XFS filesystems.

xfsdump examines files in a filesystem, determines which need to be
backed up, and copies those files to a specified disk, tape or other
storage medium. It uses XFS-specific directives for optimizing the
dump of an XFS filesystem, and also knows how to backup XFS extended
attributes. Backups created with xfsdump are "endian safe" and can
thus be transfered between Linux machines of different architectures
and also between IRIX machines.

xfsrestore performs the inverse function of xfsdump; it can restore a
full backup of a filesystem. Subsequent incremental backups can then
be layered on top of the full backup. Single files and directory
subtrees may be restored from full or partial backups.

%description -l pl.UTF-8
Pakiet zawiera programy xfsdump, xfsrestore i inne narzędzia do
administracji systemami plików XFS.

xfsdump kontroluje system plików oraz wykrywa, które części wymagają
wykonania kopii zapasowej, a następnie kopiuje te dane na podany dysk,
taśmę lub inne medium danych. Program używa specyficznych dla XFS
funkcji optymalizujących kopię zapasową (również znane jako
rozszerzone atrybuty kopii zapasowych XFS). Stworzone kopie zapasowe
są "endian safe" i przez to mogą być przenoszone pomiędzy maszynami
linuksowymi oraz IRIX pracującymi na różnych architekturach.

xfsrestore wykonuje operację przeciwną do xfsdump; może on odzyskać
system plików z kopii zapasowej. Przyrostowe kopie zapasowe mogą być
używane włącznie z pełną kopią.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%{__rm} aclocal.m4

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__cp} include/install-sh .
CPPFLAGS="%{rpmcppflags} -I/usr/include/ncurses"
%configure \
	DEBUG="%{?debug:-DDEBUG}%{!?debug:-DNDEBUG}" \
	OPTIMIZER="%{rpmcflags} %{rpmcppflags} -I/usr/include/ncurses"

%{__make} \
	V=1

%install
rm -rf $RPM_BUILD_ROOT

DIST_ROOT="$RPM_BUILD_ROOT"
DIST_INSTALL=`pwd`/install.manifest
DIST_INSTALL_DEV=`pwd`/install-dev.manifest
export DIST_ROOT DIST_INSTALL DIST_INSTALL_DEV

%{__make} install \
	DIST_MANIFEST="$DIST_INSTALL"
%{__make} install-dev \
	DIST_MANIFEST="$DIST_INSTALL_DEV"

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/xfsdump

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc doc/{CHANGES,README.xfsdump}
%attr(755,root,root) %{_sbindir}/xfsdump
%attr(755,root,root) %{_sbindir}/xfsrestore
%attr(755,root,root) %{_sbindir}/xfsinvutil
%{_mandir}/man8/xfsdump.8*
%{_mandir}/man8/xfsinvutil.8*
%{_mandir}/man8/xfsrestore.8*
%changelog
* Wed May 06 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xfsdump.git;a=log;h=master

* Wed May 06 2020 Jakub Bogusz <qboosh@pld-linux.org> f4a2aca
- updated to 3.1.9
- updated miscfix patch

* Sun Aug 26 2018 Jakub Bogusz <qboosh@pld-linux.org> c2dc396
- added pl.po-update patch

* Fri Sep 22 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> e428b90
- up to 3.1.8

* Sat Aug 19 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 9b9f8c1
- up to 3.1.7

* Sat Dec 26 2015 Jan Rękorajski <baggins@pld-linux.org> 83fa2f5
- up to 3.1.6

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> c83c753
- updated gettext BR

* Sat Jul 19 2014 Jakub Bogusz <qboosh@pld-linux.org> 97381df
- updated to 3.1.4
- removed obsolete pl.po-update patch

* Fri May 10 2013 Jakub Bogusz <qboosh@pld-linux.org> 2c5e043
- updated to 3.1.3
- added pl.po-update patch

* Sun Dec 16 2012 Jakub Bogusz <qboosh@pld-linux.org> aa90701
- updated to 3.1.2
- pl.po file merged upstream

* Tue Sep 18 2012 Jakub Bogusz <qboosh@pld-linux.org> bd7ea93
- added pl.po

* Sat Jun 02 2012 Caleb Maclennan <caleb@alerque.com> 31cea08
- Up to 3.1.0

* Thu Oct 20 2011 Jakub Bogusz <qboosh@pld-linux.org> 73b61f9
- updated to 3.0.6

* Thu Mar 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> dcb1289
- up to 3.0.5

* Fri Jan 28 2011 Jakub Bogusz <qboosh@pld-linux.org> 0b739b0
- use __rm macro

* Wed Dec 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> cf5f67d
- rel 2; don't create symlink to itself

* Fri Oct 22 2010 Caleb Maclennan <caleb@alerque.com> 71b1c46
- Up to 3.0.4

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 4163f09
- drop obsolete files

* Sun Jun 14 2009 duddits <duddits@pld-linux.org> a994367
- up to 3.0.1

* Fri Apr 10 2009 Jakub Bogusz <qboosh@pld-linux.org> b357173
- sorted BRs

* Sun Feb 15 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 6b11a6c
- release 2

